package com.yhy.module.core.convert.config;

import com.yhy.module.core.controller.admin.config.vo.ConfigProjectInfoRespVO;
import com.yhy.module.core.controller.admin.config.vo.ConfigProjectInfoSaveReqVO;
import com.yhy.module.core.dal.dataobject.config.ConfigProjectInfoDO;
import java.util.List;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 工程信息配置 Convert
 *
 * @author yhy
 */
@Mapper
public interface ConfigProjectInfoConvert {

    ConfigProjectInfoConvert INSTANCE = Mappers.getMapper(ConfigProjectInfoConvert.class);

    ConfigProjectInfoDO convert(ConfigProjectInfoSaveReqVO bean);

    ConfigProjectInfoRespVO convert(ConfigProjectInfoDO bean);

    List<ConfigProjectInfoRespVO> convertList(List<ConfigProjectInfoDO> list);
}
